Subject: Re: [bug#69732] [PATCH] gnu: atop: Update source hash.
From: Ludovic Courtès <[email-masked]>
To: Greg Hogan <[email-masked]>
Cc: [email-masked]
Date: Fri, 05 Apr 2024 18:00:05 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Greg Hogan <[email-masked]> skribis:

> $ ./pre-inst-env guix build atop
> The following derivations will be built:
>   /gnu/store/v6sqkj93jnnixg6294abs9f67nq7719c-atop-2.9.0.drv
>   /gnu/store/rxf1gbfs97k5br7mhf8wsgy3qp5y6rbr-atop-2.9.0.tar.gz.drv
>
> building
> /gnu/store/rxf1gbfs97k5br7mhf8wsgy3qp5y6rbr-atop-2.9.0.tar.gz.drv...
> /sha256 hash mismatch for
> /gnu/store/raki8h0anzpxci2ghgcdz1crf9k2jrlx-atop-2.9.0.tar.gz:
>   expected hash: 1y4qmc8i7zg2cqrmz38dxbsj8bb2h7jm1zz23gqcdygkgaymwddw
>   actual hash:   09prpw20ps6cd8qr63glbcip3jrvnnic0m7j1q02g8hjnw8z50ld

I downloaded both the old tarball (still available as substitutes) and
the new one, and here’s the difference:

--8<---------------cut here---------------start------------->8---
$ diff -ru /tmp/atop-2.9.0{.orig,}
Only in /tmp/atop-2.9.0: mkdate
$ cat /tmp/atop-2.9.0/mkdate 
#!/bin/sh

# Make a new versdate.h with the current date filled
#
CURDATE=$(date +%Y/%m/%d\ %H:%M:%S)

echo "#ifndef __ATOP_VERSDATA__"        > versdate.h
echo "#define __ATOP_VERSDATA__"        >> versdate.h
echo "#define   ATOPDATE        \"$CURDATE\""   >> versdate.h
echo "#endif"   >> versdate.h
--8<---------------cut here---------------end--------------->8---

Since that file does exactly what we don’t want, I added a snippet to
remove it (which effectively gets us back to the original tarball,
ironically.)

I also modified the commit log to explain that.

Thanks,
Ludo’.